attribute vec4 a_position;
attribute vec2 a_uv;

uniform mat4 u_projectionmodel;
uniform vec4 u_topColor;
uniform vec4 u_bottomColor;

varying vec2 v_uv;
varying vec4 v_color;


void main(void)
{
    v_uv = a_uv;
    v_color = mix(u_topColor, u_bottomColor, (a_position.x + a_position.y)/2.0);
    gl_Position = u_projectionmodel * a_position;
}